Epoch: 0
#ExclusiveArch: i386 ppc x86_64

%define gcj_support 		1
%define pkg_summary		Eclipse Bugzilla plug-in
%define section			free
%define eclipse_name 		eclipse
%define	version_major		0
%define version_minor		1
%define version_majmin	%{version_major}.%{version_minor}
%define version_micro   	1
%define eclipse_base   %{_datadir}/%{eclipse_name}
%define eclipse_lib_base %{_libdir}/%{eclipse_name}

# All arches line up except i386 -> x86
%ifarch %{ix86}
%define eclipse_arch    x86
%else
%define eclipse_arch   %{_arch}
%endif

Summary: 	%{pkg_summary} 
Name: 		%{eclipse_name}-bugzilla
Version: 	%{version_majmin}.%{version_micro}
Release:	%mkrel 2
License:	CPL
Group:		Development/Java
#URL:		
Requires: eclipse-platform >= 0:3.1.0

# Note that following the Eclipse Releng process we do not distribute a 
# real .tar.gz file.  Instead, you must build it by hand.  The way to do 
# this is to check out org.eclipse.team.bugzilla.releng.  Edit maps/bugzilla.map 
# to refer to the# tag appropriate to the release.  Then run the "fetch" 
# target to fetch everything.  Package this up, such that the tar
# file unpacks a new "org.eclipse.team.bugzilla.releng" directory with all the
# contents.  See the java command to see how to invoke
# things in the releng build.xml.

Source0: eclipse-bugzilla-fetched-HEAD-0.1.1.tar.bz2

BuildRequires: eclipse-platform
BuildRequires: eclipse-jdt
BuildRequires: eclipse-pde
BuildRequires: libswt3-gtk2
%if %{gcj_support}
BuildRequires:	gcc-java >= 0:4.0.1
BuildRequires:    java-gcj-compat-devel >= 0:1.0.31
Requires(post):   java-gcj-compat >= 0:1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildRequires:	java-devel >= 0:1.4.2
%endif

BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The eclipse-bugzilla package contains Eclipse features and plugins for
Bugzilla bug tracking integration.

%prep
%setup -q -c 

%build

# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base}
SDK=$(cd SDK && pwd)

mkdir home

homedir=$(cd home > /dev/null && pwd)

pushd `pwd` 
cd org.eclipse.team.bugzilla.releng

# Call eclipse headless to process bugzilla releng build scripts
# need -Dosgi.install.area for http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20198
%java -cp  $SDK/startup.jar \
    -Duser.home=$homedir \
    -Dosgi.install.area=%{eclipse_base} \
     org.eclipse.core.launcher.Main \
    -application org.eclipse.ant.core.antRunner \
    -DjavacFailOnError=false \
    -DdontUnzip=true \
    -DbaseLocation=$SDK \
    -Dpde.build.scripts=$SDK/plugins/org.eclipse.pde.build_3.1.0/scripts \
    -DdontFetchAnything=true 
popd

%install
rm -rf ${RPM_BUILD_ROOT}

install -d -m755 ${RPM_BUILD_ROOT}/%{eclipse_base}

# Dump the files from the releng tarball into the build root
for file in $(pwd)/org.eclipse.team.bugzilla.releng/results/I.*/*.tar.gz; do
  case $file in
    *org.eclipse.team.bugzilla*)
      # The ".." is needed since the zip files contain "eclipse/foo".
      (cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && tar zxf $file)
      ;;
  esac
done

%if %{gcj_support}
%{_jvmdir}/java-gcj/bin/aot-compile-rpm
%endif

%clean 
rm -rf ${RPM_BUILD_ROOT}

%if %{gcj_support}
%post
/usr/bin/rebuild-gcj-db

%postun
/usr/bin/rebuild-gcj-db
%endif

%files
%defattr(-,root,root)
%{eclipse_base}/features/org.eclipse.team.bugzilla*
%{eclipse_base}/plugins/org.eclipse.team.bugzilla*
%{eclipse_base}/plugins/org.eclipse.team.bugs*
%if %{gcj_support}
%{_libdir}/gcj/%{name}
%endif

%changelog
* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:0.1.1-2mdk
- bzip2 source

* Fri Sep 02 2005 David Walluck <walluck@mandriva.org> 0:0.1.1-1mdk
- release

* Thu Jul 21 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-5
- BuildRequire gcc-java 4.0.1.

* Thu Jul 21 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-4
- Remove bugzilla.redhat.com/bugzilla-old pre-set (no longer online).
- Finalize support for new bugzilla.redhat.com (pending https bug#158893).
- Update Apply Patch functionality.
- Refactor query options parser.

* Fri Jul 15 2005 Andrew Overholt <overholt@redhat.com> 0.1.1_fc-3
- Use gbenson's new aot-compile-rpm.

* Fri Jul 08 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-2
- Fix eclipse build specification to be arch independant.

* Wed Jul 06 2005 Jeff Pound <jpound@redhat.com> 0.1.1_fc-1
- Integrate Apply Patch functionality.
- Various minor UI adjustments.

* Wed May 18 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-17
- Add save attachment support.

* Wed May 18 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-16
- Fix bug in query option parser (see comment 1 from bz#151443).
- Parse icons from bugzilla sites (bz#151441).

* Thu May 05 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-15
- Fix provider expansion when adding queries.
- Add name parings for default urls.

* Mon May 02 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-14
- Fix default bugzilla.redhat.com url.

* Tue Apr 26 2005 Andrew Overholt <overholt@redhat.com> 0.1.0_fc-13
- Re-organize and make use of scripts.

* Tue Apr 26 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-12
- Fix double '/' in URL when retrieving version info.
- Add workaround for redirects.

* Mon Apr 25 2005 Jeff Pound <jpound@redhat.com> 0.1.0_fc-10
- Add support for query by email, numbering, votes, and 
  modification date, field, and value.
- Various adjustments to query dialog UI.

* Sun Apr 03 2005 Andrew Overholt <overholt@redhat.com> 0.1.0_fc-9
- Make use of rebuild-gcj-db.
- Use system-wide classmap.db.

* Wed Mar 23 2005 Andrew Overholt <overholt@redhat.com> 0.1.0_fc-8
- Update with new gcj-dbtool stuff.
- Fix Requires.
- Remove *.jarswithnativelibs.

* Mon Mar 07 2005 Jeff Pound <jpound@redhat.com> 0.1.0-7_fc
- Fix query dialog UI.

* Mon Mar 07 2005 Jeff Pound <jpound@redhat.com> 0.1.0-6_fc
- Rebuild including icons dir, xml, and properties files.

* Fri Mar 05 2005 Phil Muldoon <pmuldoon@redhat.com> 0.1.0-5_fc
- Added x86_64 to ExclusiveArch

* Thu Mar 03 2005 Jeff Pound <jpound@redhat.com> 0.1.0-4_fc
- Rewrite for native build.
- Change gcc4 to gcc.
- Remove x86_64 for now.  Add ppc.
- Remove -g options for gcj.

* Tue Feb 08 2005 Jeff Pound <jpound@redhat.com> 0.1.0-1_fc
- Initial version
